Run of lintian-fixes for apticron

Try this locally (using the lintian-brush package):

debcheckout apticron
cd apticron
lintian-brush

Merge these changes:

git pull https://janitor.debian.net/git/apticron lintian-fixes/main

Summary

Diff

diff --git a/debian/apticron-systemd.lintian-overrides b/debian/apticron-systemd.lintian-overrides
index 61d258a..7662288 100644
--- a/debian/apticron-systemd.lintian-overrides
+++ b/debian/apticron-systemd.lintian-overrides
@@ -1 +1 @@
-binary-without-manpage
+no-manual-page
diff --git a/debian/changelog b/debian/changelog
index b512c98..e03b235 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+apticron (1.2.5) UNRELEASED; urgency=medium
+
+  * Bump debhelper from deprecated 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Update renamed lintian tag names in lintian overrides.
+  * Update standards version to 4.5.0, no changes needed.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Tue, 06 Apr 2021 14:27:33 -0000
+
 apticron (1.2.4) unstable; urgency=medium
 
   * Fix tempfile warning message. (Closes: #962921)
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index ec63514..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-9
diff --git a/debian/control b/debian/control
index 0562b90..48da04c 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,8 @@ Source: apticron
 Section: admin
 Priority: optional
 Maintainer: Tiago Bortoletto Vaz <tiago@debian.org>
-Build-Depends: po-debconf, debhelper (>= 9.20160709~), dh-exec
-Standards-Version: 4.3.0
+Build-Depends: po-debconf, debhelper-compat (= 12), dh-exec
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/apticron
 Vcs-Git: https://salsa.debian.org/debian/apticron.git
 
diff --git a/debian/rules b/debian/rules
index d1decc8..2d33f6a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,4 +1,4 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with=systemd
+	dh $@

Debdiff

Error retrieving debdiff: Unable to get debdiff: 500 Internal Server Error

500 Internal Server Error

Server got itself in trouble

Publish History

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t lintian-fixes apticron-systemd
apt install -t lintian-fixes apticron

Lintian Result

Full worker log Full build log